#include <stdio.h>

int main() 
{
    int N, L;
    int i, H;

    scanf("%d %d", &N, &L);
    for(i=1;i<N;i++) 
	{
        scanf("%d", &H);
        if(H<=L) 
		{
            printf("%d\n", i);
            return 0;
        }
    }
    printf("-1\n");
    return 0;
}